Bug 241444 - yum repackage causes 100% processor use on CentOS/RHEL 5
Summary: yum repackage causes 100% processor use on CentOS/RHEL 5
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
low
Target Milestone: ---
: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-26 00:37 UTC by mm
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 13:14:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mm 2007-05-26 00:37:52 UTC
Description of problem:

yum update with yum.conf tsflags=repackage causes 100% processor use on
CentOS/RHEL 5 whilst repackaging in progress

Version-Release number of selected component (if applicable):

yum-3.0.5-1.el5.centos.2 

How reproducible:

Every time 

Steps to Reproduce:
1. add tsflags-repackage in yum.conf 
2. edit installonlyn.conf enable=0 
3. yum update

  
Actual results:

100% processor util during repackage

Expected results:


Additional info:

processor is Intel i386 Pentium M on Tecra S2 notebook
perhaps fix is to put a throttle on repackage? 
my assumption is that this bug will be evident accross different processors and
on FC5/6 too. I can test this if you like?

Comment 1 Seth Vidal 2007-06-20 15:38:43 UTC
try this, please: see if you see the same performance issue using rpm to perform
the updates.

If that results, please reassign this to rpm.

Thanks!


Comment 2 mm 2007-07-13 14:09:59 UTC
I got the same performance issue when using rpm and have reassigned this to rpm
as you suggest.

Comment 3 mm 2007-07-13 14:14:40 UTC
ps rpm-4.4.2-37.el5 on centos/rhel was the version that I used (and for interest
the more recent rpm-4.4.2-46.fc7 on fedora 7 does the same too)

Comment 4 Panu Matilainen 2007-10-24 13:14:26 UTC
I fail to see the bug in here, repackaging is non-trivial amount of work.


Note You need to log in before you can comment on or make changes to this bug.